SDL_NORETURN(3)

NAME
SDL_NORETURN - A macro to tag a function as never-returning.

SYNOPSIS
#include <SDL3/SDL_begin_code.h>

#define SDL_NORETURN __attribute__((noreturn))

DESCRIPTION
This is a hint to the compiler that a function does not return. An example of a function like this is the C runtime's exit() function.

This hint can lead to code optimizations, and help analyzers understand code flow better. On compilers without noreturn support, this is defined to nothing.

This symbol is used in SDL's headers, but apps and other libraries are welcome to use it for their own interfaces as well.

AVAILABILITY
This macro is available since SDL 3.2.0.